curl --request DELETE \
--url https://api.instantly.ai/api/v2/custom-tags/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/custom-tags/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/custom-tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/custom-tags/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/custom-tags/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/custom-tags/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a082d0-3333-74e0-8bc8-09cb570c4386",
"timestamp_created": "2026-09-08T20:57:57.811Z",
"timestamp_updated": "2026-09-08T20:57:57.811Z",
"organization_id": "01a082d0-3333-74e0-8bc8-09ccca7de543",
"label": "Important",
"description": "Used for marking important items"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Delete custom tag
Requires one of the following scopes: custom_tags:delete, custom_tags:all, all:delete, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the item to delete
"01a082d0-83ba-7a71-809d-ddb6a919edfb"
Response
The deleted Custom Tag
A custom tag for organizing and categorizing accounts and campaigns. You can use them as filters in apis that list accounts and campaigns.
Unique identifier for the custom tag
"01a082d0-3333-74e0-8bc8-09cb570c4386"
Timestamp when the custom tag was created
"2026-09-08T20:57:57.811Z"
Timestamp when the custom tag was last updated
"2026-09-08T20:57:57.811Z"
Organization ID that owns this custom tag
"01a082d0-3333-74e0-8bc8-09ccca7de543"
Display label for the custom tag. Must be unique per workspace after trimming whitespace.
1.*\S.*"Important"
Detailed description of the custom tag purpose
"Used for marking important items"